Skip to main content
GET
/
api
/
templates
/
{id}
/
cURL
curl --request GET \
  --url https://api.bedrock.orinlabs.org/api/templates/{id}/ \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "system_prompt": "<string>",
  "default_model": "<string>",
  "thinking_max_tokens": 1073741823,
  "max_turns": 1073741823,
  "debounce_window_seconds": 1073741823,
  "harness_git_ref": "<string>",
  "agent_created_webhook_url": "<string>",
  "tool_call_secret": "<string>"
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
string<uuid>
required

A UUID string identifying this agent template.

Response

200 - application/json
id
string<uuid>
required
read-only
organization
string<uuid>
required
name
string
required
Maximum string length: 255
created_at
string<date-time>
required
read-only
description
string
system_prompt
string
default_model
string
Maximum string length: 255
default_reasoning_effort
  • none - None
  • minimal - Minimal
  • low - Low
  • medium - Medium
  • high - High
  • xhigh - Extra high
Available options:
none,
minimal,
low,
medium,
high,
xhigh
thinking_max_tokens
integer | null
Required range: 0 <= x <= 2147483647
max_turns
integer
Required range: 0 <= x <= 2147483647
debounce_window_seconds
integer

Seconds to hold the agent wake after an inbound conversational message, resetting on each new message. 0 = disabled (wake immediately). Individual agents can override via Agent.debounce_window_seconds.

Required range: 0 <= x <= 2147483647
harness_git_ref
string

Blank = latest main at dispatch time.

Maximum string length: 255
agent_created_webhook_url
string<uri>
Maximum string length: 200
tool_call_secret
string
Maximum string length: 255